# cloudprog-hw4
Team 02

## Features
- `lambda-gen-s3-url.py`: AWS Lambda function that generates S3 presigned URL for IoT thing to upload.
  - Envs:
    - `MQTT_TOPIC`: `S3_URL_TOPIC`
    - `BUCKET`: S3 bucket to upload
- `lambda-detect-face.py`: AWS Lambda function that calls rekognition API tiggered by S3 events.
  - Envs:
    - `MQTT_TOPIC`: `LED_TOPIC`
- `led_control.py`: Code run on IoT thing.
  - Controls the LED with MQTT topic.
  - Take picture and upload it to S3.
    - Send upload request via MQTT topic `S3_UPLOAD_TOPIC`
    - Get presigned URL via `S3_URL_TOPIC`